Loading...
Searching...
No Matches
janus_mqtt_context Struct Reference
Collaboration diagram for janus_mqtt_context:
[legend]

## Data Fields

janus_transport_callbacks * | gateway
MQTTAsync | client
struct { |
int mqtt_version |
int keep_alive_interval |
int cleansession |
char * username |
char * password |
int max_inflight |
int max_buffered |
} | connect
struct { |
int timeout |
janus_mutex mutex |
janus_condition cond |
} | disconnect
struct { |
gboolean enabled |
char * connect_message |
char * disconnect_message |
char * topic |
int qos |
gboolean retain |
} | status
struct { |
char * topic |
int qos |
} | subscribe
struct { |
char * topic |
int qos |
gboolean retain |
} | publish
struct { |
struct { |
char * topic |
int qos |
} subscribe
struct { |
char * topic |
int qos |
} publish
} | admin
gboolean | ssl_enabled
char * | cacert_file
char * | cert_file
char * | key_file
gboolean | verify_peer

## Field Documentation

## [struct]

struct { ... } janus_mqtt_context::admin

## cacert_file

char* janus_mqtt_context::cacert_file

## cert_file

char* janus_mqtt_context::cert_file

## cleansession

int janus_mqtt_context::cleansession

## client

MQTTAsync janus_mqtt_context::client

## cond

janus_condition janus_mqtt_context::cond

## [struct]

struct { ... } janus_mqtt_context::connect

## connect_message

char* janus_mqtt_context::connect_message

## [struct]

struct { ... } janus_mqtt_context::disconnect

## disconnect_message

char* janus_mqtt_context::disconnect_message

## enabled

gboolean janus_mqtt_context::enabled

## gateway

janus_transport_callbacks* janus_mqtt_context::gateway

## keep_alive_interval

int janus_mqtt_context::keep_alive_interval

## key_file

char* janus_mqtt_context::key_file

## max_buffered

int janus_mqtt_context::max_buffered

## max_inflight

int janus_mqtt_context::max_inflight

## mqtt_version

int janus_mqtt_context::mqtt_version

## mutex

janus_mutex janus_mqtt_context::mutex

## password

char* janus_mqtt_context::password

## [struct] [1/2]

struct { ... } janus_mqtt_context::publish

## [struct] [2/2]

struct { ... } janus_mqtt_context::publish

## qos

int janus_mqtt_context::qos

## retain

gboolean janus_mqtt_context::retain

## ssl_enabled

gboolean janus_mqtt_context::ssl_enabled

## [struct]

struct { ... } janus_mqtt_context::status

## [struct] [1/2]

struct { ... } janus_mqtt_context::subscribe

## [struct] [2/2]

struct { ... } janus_mqtt_context::subscribe

## timeout

int janus_mqtt_context::timeout

## topic

char* janus_mqtt_context::topic

## username

char* janus_mqtt_context::username

## verify_peer

gboolean janus_mqtt_context::verify_peer

The documentation for this struct was generated from the following file:

- janus_mqtt.c